Chromium Code Reviews
Help | Chromium Project | Sign in
(143)

Issue 11377144: add and enable validator tests for x86 (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years, 8 months ago by Robert Muth (chromium)
Modified:
2 years, 8 months ago
CC:
native-client-reviews_googlegroups.com
Visibility:
Public.

Description

Enable validator speed tests for x86. These are driven by an archived tarball containing various nexes including spec and translator nexes. A script for updating the tarball is provided as well. Also, some script cleanup - e.g. added "readonly" attribute. Committed: http://src.chromium.org/viewvc/native_client?view=rev&revision=10304

Patch Set 1 #

Patch Set 2 : #

Total comments: 5

Patch Set 3 : #

Total comments: 32

Patch Set 4 : #

Patch Set 5 : #

Patch Set 6 : #

Patch Set 7 : #

Patch Set 8 : #

Patch Set 9 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+250 lines, -13 lines) Patch
M buildbot/buildbot_spec2k.sh View 1 2 3 4 5 6 7 8 11 chunks +113 lines, -13 lines 0 comments Download
A tools/canned_nexe_tool.sh View 1 2 3 4 1 chunk +137 lines, -0 lines 0 comments Download
Trybot results:  nacl-lucid64_validator_opt   nacl-arm_opt_panda   nacl-lucid_64-newlib-x86_32-pnacl   nacl-lucid64_newlib_opt   nacl-lucid_64-newlib-x86_32-pnacl   nacl-lucid_64-newlib-arm_qemu-pnacl   nacl-lucid64_glibc_opt   nacl-lucid_64-newlib-x86_64-pnacl-spec   nacl-lucid64_newlib_dbg   nacl-lucid64_newlib_opt   nacl-lucid_64-newlib-x86_64-pnacl   nacl-lucid_64-newlib-arm_qemu-pnacl-spec   nacl-lucid_64-newlib-mips-pnacl   nacl-lucid_64-newlib-x86_32-pnacl-spec   nacl-precise_64-newlib-x86_64-pnacl   nacl-lucid_64-newlib-dbg-clang   nacl-lucid_64-newlib-x86_64-pnacl-spec   nacl-win32_newlib_opt   nacl-win32_newlib_opt   nacl-win64_glibc_opt   nacl-win64_newlib_opt   nacl-precise_64-newlib-x86_64-pnacl   nacl-win32_glibc_opt   nacl-lucid32_glibc_opt   nacl-lucid32_newlib_opt   nacl-lucid32_newlib_dbg   nacl-mac10.7_glibc_opt   nacl-mac10.7_newlib_opt   nacl-win64_newlib_dbg   nacl-mac10.6_newlib_opt   nacl-mac10.6-newlib-dbg-clang   nacl-mac10.6_glibc_opt   nacl-lucid64_validator_opt   nacl-lucid64_newlib_dbg_valgrind   nacl-win64_glibc_opt   nacl-win64_newlib_opt   nacl-arm_opt_panda   nacl-lucid64_glibc_dbg_valgrind   nacl-lucid64_glibc_opt   nacl-lucid_64-newlib-x86_32-pnacl   nacl-lucid_64-newlib-arm_qemu-pnacl   nacl-win32_newlib_opt   nacl-lucid64_newlib_dbg   nacl-win32_glibc_opt   nacl-win64_newlib_dbg   nacl-precise_64-newlib-x86_64-pnacl   nacl-lucid_64-newlib-x86_64-pnacl   nacl-lucid32_glibc_opt   nacl-lucid64_newlib_opt   nacl-lucid32_newlib_opt   nacl-lucid32_newlib_dbg   nacl-lucid_64-newlib-dbg-clang   nacl-mac10.6_glibc_opt   nacl-lucid_64-newlib-arm_qemu-pnacl-spec   nacl-mac10.6_newlib_opt   nacl-mac10.6-newlib-dbg-clang   nacl-mac10.7_newlib_opt   nacl-mac10.7_glibc_opt   nacl-lucid_64-newlib-x86_64-pnacl-spec   nacl-lucid_64-newlib-x86_32-pnacl-spec 
Commit: CQ not working?

Messages

Total messages: 14 (0 generated)
Robert Muth (chromium)
PTAL @Jan: What is the best way to make the timing output digestable by our ...
2 years, 8 months ago (2012-11-14 18:28:56 UTC) #1
jvoung - send to chromium...
https://chromiumcodereview.appspot.com/11377144/diff/2001/buildbot/buildbot_spec2k.sh File buildbot/buildbot_spec2k.sh (right): https://chromiumcodereview.appspot.com/11377144/diff/2001/buildbot/buildbot_spec2k.sh#newcode161 buildbot/buildbot_spec2k.sh:161: rm -rf CannedNexes Indentation is a bit inconsistent in ...
2 years, 8 months ago (2012-11-14 18:45:30 UTC) #2
Robert Muth (chromium)
As discussed in person we will move the validator tests out of the spec harness ...
2 years, 8 months ago (2012-11-15 05:25:34 UTC) #3
jvoung
http://codereview.chromium.org/11377144/diff/11002/buildbot/buildbot_spec2k.sh File buildbot/buildbot_spec2k.sh (right): http://codereview.chromium.org/11377144/diff/11002/buildbot/buildbot_spec2k.sh#newcode161 buildbot/buildbot_spec2k.sh:161: ${UP_DOWN_LOAD} DownloadArchivedNexes ${CANNED_NEXE_REV} \ Did you want to reuse ...
2 years, 8 months ago (2012-11-15 19:10:47 UTC) #4
jvoung
http://codereview.chromium.org/11377144/diff/11002/buildbot/buildbot_spec2k.sh File buildbot/buildbot_spec2k.sh (right): http://codereview.chromium.org/11377144/diff/11002/buildbot/buildbot_spec2k.sh#newcode171 buildbot/buildbot_spec2k.sh:171: echo "$(pwd)/scons-out/opt-linux-x86-32/staging/ncval" Also, would the dfa-validator devs be interested ...
2 years, 8 months ago (2012-11-15 19:14:19 UTC) #5
robertm
+khim PTAL http://codereview.chromium.org/11377144/diff/11002/buildbot/buildbot_spec2k.sh File buildbot/buildbot_spec2k.sh (right): http://codereview.chromium.org/11377144/diff/11002/buildbot/buildbot_spec2k.sh#newcode164 buildbot/buildbot_spec2k.sh:164: rm -rf CannedNexes On 2012/11/15 19:10:48, jvoung ...
2 years, 8 months ago (2012-11-15 19:33:30 UTC) #6
jvoung
http://codereview.chromium.org/11377144/diff/11002/buildbot/buildbot_spec2k.sh File buildbot/buildbot_spec2k.sh (right): http://codereview.chromium.org/11377144/diff/11002/buildbot/buildbot_spec2k.sh#newcode195 buildbot/buildbot_spec2k.sh:195: --output >(LogTimeHelper ${graph} ${benchmark} ${variant}) \ Does --output need ...
2 years, 8 months ago (2012-11-15 21:00:43 UTC) #7
jvoung
http://codereview.chromium.org/11377144/diff/11002/buildbot/buildbot_spec2k.sh File buildbot/buildbot_spec2k.sh (right): http://codereview.chromium.org/11377144/diff/11002/buildbot/buildbot_spec2k.sh#newcode257 buildbot/buildbot_spec2k.sh:257: run-tests SetupPnaclTranslatorX8632Opt "${TRYBOT_TRANSLATOR_TESTS}" 0 1 Perhaps add it to ...
2 years, 8 months ago (2012-11-15 21:02:04 UTC) #8
robertm
PTAL http://codereview.chromium.org/11377144/diff/11002/buildbot/buildbot_spec2k.sh File buildbot/buildbot_spec2k.sh (right): http://codereview.chromium.org/11377144/diff/11002/buildbot/buildbot_spec2k.sh#newcode195 buildbot/buildbot_spec2k.sh:195: --output >(LogTimeHelper ${graph} ${benchmark} ${variant}) \ added a ...
2 years, 8 months ago (2012-11-15 21:12:36 UTC) #9
jvoung
lgtm
2 years, 8 months ago (2012-11-15 21:18:08 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://nativeclient-status.appspot.com/cq/robertm@chromium.org/11377144/27007
2 years, 8 months ago (2012-11-15 22:03:18 UTC) #11
commit-bot: I haz the power
Try job failure for 11377144-27007 (retry) on nacl-lucid_64-newlib-x86_64-pnacl-spec for steps "annotate, validator speed test [x86-64], ...
2 years, 8 months ago (2012-11-16 02:18:45 UTC) #12
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://nativeclient-status.appspot.com/cq/robertm@chromium.org/11377144/35011
2 years, 8 months ago (2012-11-19 20:53:34 UTC) #13
commit-bot: I haz the power
2 years, 8 months ago (2012-11-19 23:40:15 UTC) #14
Change committed as 10304
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 5fa3ca5